# $Revision: 1.15 $, $Date: 2008/08/13 21:40:58 $
Summary:	GNOME tool for Synaptics touchpad driver
Summary(pl.UTF-8):	Narzędzie GNOME dla sterownika Synaptics
Name:		gsynaptics
Version:	0.9.14
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://osdn.dl.sourceforge.jp/gsynaptics/29684/%{name}-%{version}.tar.gz
# Source0-md5:	5cf556b26085444288f087587a92484c
Patch0:		%{name}-desktop.patch
URL:		http://gsynaptics.sourceforge.jp/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.15
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	intltool
BuildRequires:	libglade2-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	xorg-driver-input-synaptics
ExcludeArch:	sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GSynaptics is a setting tool for Synaptics touchpad driver.

%description -l pl.UTF-8
GSynaptics jest narzędziem służącym do zmieniania ustwień sterownika
touchpada Synaptics.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__glib_gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%{_datadir}/gnome/autostart/gsynaptics-init.desktop
%{_mandir}/man1/gsynaptics-init.1*
%{_mandir}/man1/gsynaptics.1*
%{_datadir}/gnome/help/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gsynaptics.spec,v $
Revision 1.15  2008/08/13 21:40:58  wolvverine
- up to 0.9.14, STBR

Revision 1.14  2007/10/05 17:00:32  megabajt
- R: xorg-app-synaptics (gsynaptics requires synclient)
- added %{__intltoolize}
- release 2

Revision 1.13  2007/05/17 21:21:24  blues
- 0.9.12

Revision 1.12  2007/03/05 06:08:40  sls
- ver. 0.9.11
- added some files

Revision 1.11  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.9  2006/08/26 20:52:38  aredridel
- xorg deps

Revision 1.8  2006/07/30 19:26:03  shadzik
- rel 2 to rebuild with new gettext-devel BR

Revision 1.7  2006/07/30 19:13:41  shadzik
- BR: gettext-devel >= 0.15, builds now

Revision 1.6  2006/05/22 21:56:23  blaass
- up to 0.9.7

Revision 1.5  2005/07/07 13:55:52  freetz
- 0.9.3

Revision 1.4  2005/06/29 08:46:23  freetz
- 0.9.2

Revision 1.3  2005/06/16 19:12:58  freetz
- spaces->tabs

Revision 1.2  2005/06/16 19:12:24  freetz
- exclude archs not supported by driver

Revision 1.1  2005/06/16 18:51:39  freetz
- for laptop dudes

